.section5 {
    margin: 0 auto;
    position: relative;
    width: 100%;
    height: 80vw;
    display: flex;
    padding-top: 8.5vw;
}


.section5-box {
    display: flex;
    height: 60vw;
    gap: 3vw;
    margin-left: 0.5vw;
    margin-top: .5vw;
    position: relative;
}

.section5-background-image {
    height: 75vw;
    width: 110%;
    padding-bottom: 1.5vw;
    margin-left: -2vw;
    padding-right: 9vw;
        z-index: -2;
}

.section5-screen {
    display: flex;
    width: 61vw;
    height: 38vw;
    background-image: url(../images/screenbg.png);
    background-repeat: no-repeat;
    background-size: cover;
    justify-content: center;
}


.section5-box-internal {
    display: flex;
    position: absolute;
    flex-direction: row;
    padding-top: 9vw;
    padding-left: 12vw;
    gap: 7vw;
}

.section5-buttons {
    display: flex;
    flex-direction: column;
    gap: 14.5vw;
}

.section5-buttons button {
    background-color: transparent;
    border: none;
    outline: none;
    padding: 0;
    cursor: pointer;
}

.section5-lamp-icons {
    display: flex;
    gap: 2vw;
}

.section5-group-buttons {
    position: relative;
    display: flex;
    gap: 2vw;
    justify-content: space-between;
}

.section5-lamp-icons img {
    width: 9vw;
    height: 9vw;
}

.section5-progress-bar {
    width: 7.4vw;
    height: 61.4vw;
    background-color: #000;
    display: flex;
    margin-left: 87.5vw;
    position: absolute;
    margin-top: 2vw;
    box-sizing: border-box;
    overflow: hidden;
    cursor: pointer;
    z-index: 3;
}

.section5-progress-bar::before {
    content: "";
    position: absolute;
    bottom: 1vw;
    left: 0.7vw;
    height: 0;
    width: 6vw;
    background: #2EE897;
}

.section5-progress-bar-image {
     width: 8vw;
    height: 61.5vw;
}
.section5-screen-1 {
    display: flex;
    flex-direction: column;
    width: 28vw;
}

.section5-id-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5vw;
    margin-left: 11vw;
}

.section5-id-image {
    width: 22vw;
    height: 28vw;
    object-fit: cover;
}

.section5-id-buttons {
    width: 22vw;
    height: auto;
}

.section5-screen-2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 34vw;
    gap: 1.5vw;
    margin-left: 6vw;
    margin-top: -6vw
}

.section5-radar {
    position: relative;
    width: 29vw;
    height: 45vw;
    background: #000;
    border: 0.3vw solid #2EE897;
}

.section5-radar-coords {
    position: absolute;
    top: 1vw;
    right: 1vw;
    display: flex;
    gap: 16.5vw;
    color: #2EE897;
    font-family: "Tiny5", sans-serif;
    font-size: 1.8vw;
    z-index: 1;
}

.section5-radar-circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 26vw;
    height: 26vw;
}

.section5-radar-sweep {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: conic-gradient(from 0deg at 50% 50%,
            transparent 0deg,
            rgba(139, 168, 62, 0.3) 0deg,
            rgba(139, 168, 62, 0) 40deg,
            transparent 40deg);
    z-index: 1;
    pointer-events: none;
    transition: transform 0.1s linear;
}

.section5-led-display {
    position: absolute;
    top: 55.2vw;
    left: 55vw;
    width: 30.2vw;
    z-index: 1;
}

.section5-led-display img {
    width: 100%;
    height: 100%;
}

.section5-progress-bar-decor {
    position: absolute;
    pointer-events: none;
    top: 0;
    left: 0;
    width: 9vw;
    height: 62vw;
    padding-left: 87vw;
    padding-top: 2vw;
    z-index: 3;
    display: block;
    object-fit: fill;
}